Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator Struct Reference

`#include <PerfectHashMap.h>`

## Public Member Functions
void | operator++ (int)
void | operator++ ()
const K * | key () const
const T & | value () const
bool | operator!= (const const_iterator &other) const
bool | operator== (const const_iterator &other) const
const std::pair< const K *, T > & | operator* () const

## Public Attributes
const std::pair< const K *, T > * | iter
const std::pair< const K *, T > * | end

## Detailed Description

template<typename K, typename T, int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>
struct PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator

Definition at line 352 of file PerfectHashMap.h.

## Member Function Documentation

## ◆ operator++() [1/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

void PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 355 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::end, and PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

## ◆ operator++() [2/2]

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

void PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator++ | ( |  | ) |
| inline

Definition at line 361 of file PerfectHashMap.h.

## ◆ key()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const K * PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::key | ( |  | ) | const
| inline

Definition at line 365 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin().

## ◆ value()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const T & PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::value | ( |  | ) | const
| inline

Definition at line 369 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

## ◆ operator!=()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

bool PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator!= | ( | const const_iterator & | other | ) | const
| inline

Definition at line 373 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

## ◆ operator==()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

bool PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator== | ( | const const_iterator & | other | ) | const
| inline

Definition at line 377 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

## ◆ operator*()

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const std::pair< const K *, T > & PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator* | ( |  | ) | const
| inline

Definition at line 381 of file PerfectHashMap.h.

References PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter.

## Member Data Documentation

## ◆ iter

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const std::pair<const K *, T>* PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::iter

Definition at line 353 of file PerfectHashMap.h.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin(), PerfectHashMap< K, T, max_small_size, phm_assert >::end(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::key(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator!=(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator*(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator++(), PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator==(), and PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::value().

## ◆ end

template<typename K , typename T , int max_small_size = 4, typename phm_assert = PerfectHashMapAsserter>

const std::pair<const K *, T> * PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::end

Definition at line 353 of file PerfectHashMap.h.

Referenced by PerfectHashMap< K, T, max_small_size, phm_assert >::begin(), PerfectHashMap< K, T, max_small_size, phm_assert >::end(), and PerfectHashMap< K, T, max_small_size, phm_assert >::const_iterator::operator++().

The documentation for this struct was generated from the following file:

- src/autoschedulers/common/PerfectHashMap.h